#pragma once

#include "v3.h"
#include "ppc.h"
#include "framebuffer.h"

class TMesh {
public:
  V3 *verts, *cols;
  int vertsN;
  unsigned int *tris;
  int trisN;
  TMesh() : verts(0), vertsN(0), tris(0), trisN(0), cols(0) {};
  void SetCube(V3 center, float sl);
  void Render(PPC *ppc, FrameBuffer *fb);
  void RotateAboutArbitraryAxis(V3 aO, V3 aDir, float theta);
  V3 GetCenter();

};